Bug 175266 - CVE-2005-4077 SA17907 cURL/libcURL URL Parsing Off-By-One Vulnerability
CVE-2005-4077 SA17907 cURL/libcURL URL Parsing Off-By-One Vulnerability
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: curl (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
http://secunia.com/advisories/17907/
impact=moderate,public=20051207,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-08 06:51 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2005-875
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 09:42:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-12-08 06:51:12 EST
+++ This bug was initially created as a clone of Bug #175191 +++

'Stefan Esser has reported a vulnerability in cURL/libcURL, which has an unknown
impact.'

'The vulnerability is caused due to an off-by-one error when parsing an URL that
is longer than 256 bytes. By using a specially crafted URL, a two-byte overflow
is reportedly possible. This may be exploited to corrupt memory allocation
structures. The vulnerability is reportedly exploitable only via a direct
request to cURL and not via a redirect.'

'The vulnerability has been reported in version 7.15.0 and prior.'
Comment 4 Red Hat Bugzilla 2005-12-20 09:42:42 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-875.html

Note You need to log in before you can comment on or make changes to this bug.